FIX::StringField Class Reference

MSC doesn't support partial template specialization so we have this. More...

`#include <Field.h>`

Inheritance diagram for FIX::StringField:
[legend]
Collaboration diagram for FIX::StringField:
[legend]

## Public Member Functions

| StringField (int field, const std::string &data)
| StringField (int field)
void | setValue (const std::string &value)
const std::string & | getValue () const
| operator const std::string & () const
bool | operator< (const StringField &rhs) const
bool | operator> (const StringField &rhs) const
bool | operator== (const StringField &rhs) const
bool | operator!= (const StringField &rhs) const
bool | operator<= (const StringField &rhs) const
bool | operator>= (const StringField &rhs) const
Public Member Functions inherited from FIX::FieldBase
| FieldBase (int field, const std::string &string)
virtual | ~FieldBase ()
void | setField (int field)
void | setString (const std::string &string)
int | getField () const
| Get the fields integer tag. More...
const std::string & | getString () const
| Get the string representation of the fields value. More...
const std::string & | getFixString () const
| Get the string representation of the Field (i.e.) 55=MSFT[SOH]. More...
size_t | getLength () const
| Get the length of the fields string representation. More...
int | getTotal () const
| Get the total value the fields characters added together. More...
bool | operator< (const FieldBase &field) const
| Compares fields based on their tag numbers. More...

## Friends

bool | operator< (const StringField &, const char *)
bool | operator< (const char *, const StringField &)
bool | operator> (const StringField &, const char *)
bool | operator> (const char *, const StringField &)
bool | operator== (const StringField &, const char *)
bool | operator== (const char *, const StringField &)
bool | operator!= (const StringField &, const char *)
bool | operator!= (const char *, const StringField &)
bool | operator<= (const StringField &, const char *)
bool | operator<= (const char *, const StringField &)
bool | operator>= (const StringField &, const char *)
bool | operator>= (const char *, const StringField &)
bool | operator< (const StringField &, const std::string &)
bool | operator< (const std::string &, const StringField &)
bool | operator> (const StringField &, const std::string &)
bool | operator> (const std::string &, const StringField &)
bool | operator== (const StringField &, const std::string &)
bool | operator== (const std::string &, const StringField &)
bool | operator!= (const StringField &, const std::string &)
bool | operator!= (const std::string &, const StringField &)
bool | operator<= (const StringField &, const std::string &)
bool | operator<= (const std::string &, const StringField &)
bool | operator>= (const StringField &, const std::string &)
bool | operator>= (const std::string &, const StringField &)

## Detailed Description

MSC doesn't support partial template specialization so we have this.

this is here to provide equality checking against native char arrays.

Definition at line 207 of file Field.h.

## Constructor & Destructor Documentation

## StringField() [1/2]

FIX::StringField::StringField | ( | int | field,
|  | const std::string & | data
| ) |  |

inline explicit

Definition at line 210 of file Field.h.

: FieldBase( field, data ) {}
FIX::FieldBase::FieldBase
FieldBase(int field, std::string::const_iterator valueStart, std::string::const_iterator valueEnd, std::string::const_iterator tagStart, std::string::const_iterator tagEnd)
Constructor which also calculates field metrics.
Definition: Field.h:76

## StringField() [2/2]

FIX::StringField::StringField | ( | int | field | ) |

inline

Definition at line 212 of file Field.h.

: FieldBase( field, "" ) {}
FIX::FieldBase::FieldBase
FieldBase(int field, std::string::const_iterator valueStart, std::string::const_iterator valueEnd, std::string::const_iterator tagStart, std::string::const_iterator tagEnd)
Constructor which also calculates field metrics.
Definition: Field.h:76

## Member Function Documentation

## getValue()

const std::string& FIX::StringField::getValue | ( |  | ) | const

inline

Definition at line 217 of file Field.h.

References FIX::FieldBase::getString().

Referenced by FIX::operator!=(), FIX::operator<(), FIX::operator<=(), FIX::operator==(), FIX::operator>(), and FIX::operator>=().

{ return getString(); }
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:112

## operator const std::string &()

FIX::StringField::operator const std::string & | ( |  | ) | const

inline

Definition at line 219 of file Field.h.

References FIX::FieldBase::getString().

{ return getString(); }
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:112

## operator!=()

bool FIX::StringField::operator!= | ( | const StringField & | rhs | ) | const

inline

Definition at line 228 of file Field.h.

References FIX::FieldBase::getString().

{ return getString() != rhs.getString(); }
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:112

## operator<()

bool FIX::StringField::operator< | ( | const StringField & | rhs | ) | const

inline

Definition at line 222 of file Field.h.

References FIX::FieldBase::getString().

{ return getString() < rhs.getString(); }
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:112

## operator<=()

bool FIX::StringField::operator<= | ( | const StringField & | rhs | ) | const

inline

Definition at line 230 of file Field.h.

References FIX::FieldBase::getString().

{ return getString() <= rhs.getString(); }
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:112

## operator==()

bool FIX::StringField::operator== | ( | const StringField & | rhs | ) | const

inline

Definition at line 226 of file Field.h.

References FIX::FieldBase::getString().

{ return getString() == rhs.getString(); }
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:112

## operator>()

bool FIX::StringField::operator> | ( | const StringField & | rhs | ) | const

inline

Definition at line 224 of file Field.h.

References FIX::FieldBase::getString().

{ return getString() > rhs.getString(); }
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:112

## operator>=()

bool FIX::StringField::operator>= | ( | const StringField & | rhs | ) | const

inline

Definition at line 232 of file Field.h.

References FIX::FieldBase::getString(), FIX::operator!=(), FIX::FieldBase::operator<(), FIX::operator<=(), FIX::operator==(), FIX::operator>(), and FIX::operator>=().

{ return getString() >= rhs.getString(); }
FIX::FieldBase::getString
const std::string & getString() const
Get the string representation of the fields value.
Definition: Field.h:112

## setValue()

void FIX::StringField::setValue | ( | const std::string & | value | ) |

inline

Definition at line 215 of file Field.h.

References FIX::FieldBase::setString().

{ setString( value ); }
FIX::FieldBase::setString
void setString(const std::string &string)
Definition: Field.h:100

## Friends And Related Function Documentation

## operator!= [1/4]

bool operator!= | ( | const StringField & | lhs,
|  | const char * | rhs
| ) |  |

friend

Definition at line 273 of file Field.h.

{ return lhs.getValue() != rhs; }

## operator!= [2/4]

bool operator!= | ( | const char * | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 275 of file Field.h.

{ return lhs != rhs.getValue(); }

## operator!= [3/4]

bool operator!= | ( | const StringField & | lhs,
|  | const std::string & | rhs
| ) |  |

friend

Definition at line 298 of file Field.h.

{ return lhs.getValue() != rhs; }

## operator!= [4/4]

bool operator!= | ( | const std::string & | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 300 of file Field.h.

{ return lhs != rhs.getValue(); }

## operator< [1/4]

bool operator< | ( | const StringField & | lhs,
|  | const char * | rhs
| ) |  |

friend

Definition at line 261 of file Field.h.

{ return lhs.getValue() < rhs; }

## operator< [2/4]

bool operator< | ( | const char * | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 263 of file Field.h.

{ return lhs < rhs.getValue(); }

## operator< [3/4]

bool operator< | ( | const StringField & | lhs,
|  | const std::string & | rhs
| ) |  |

friend

Definition at line 286 of file Field.h.

{ return lhs.getValue() < rhs; }

## operator< [4/4]

bool operator< | ( | const std::string & | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 288 of file Field.h.

{ return lhs < rhs.getValue(); }

## operator<= [1/4]

bool operator<= | ( | const StringField & | lhs,
|  | const char * | rhs
| ) |  |

friend

Definition at line 277 of file Field.h.

{ return lhs.getValue() <= rhs; }

## operator<= [2/4]

bool operator<= | ( | const char * | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 279 of file Field.h.

{ return lhs <= rhs.getValue(); }

## operator<= [3/4]

bool operator<= | ( | const StringField & | lhs,
|  | const std::string & | rhs
| ) |  |

friend

Definition at line 302 of file Field.h.

{ return lhs.getValue() <= rhs; }

## operator<= [4/4]

bool operator<= | ( | const std::string & | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 304 of file Field.h.

{ return lhs <= rhs.getValue(); }

## operator== [1/4]

bool operator== | ( | const StringField & | lhs,
|  | const char * | rhs
| ) |  |

friend

Definition at line 269 of file Field.h.

{ return lhs.getValue() == rhs; }

## operator== [2/4]

bool operator== | ( | const char * | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 271 of file Field.h.

{ return lhs == rhs.getValue(); }

## operator== [3/4]

bool operator== | ( | const StringField & | lhs,
|  | const std::string & | rhs
| ) |  |

friend

Definition at line 294 of file Field.h.

{ return lhs.getValue() == rhs; }

## operator== [4/4]

bool operator== | ( | const std::string & | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 296 of file Field.h.

{ return lhs == rhs.getValue(); }

## operator> [1/4]

bool operator> | ( | const StringField & | lhs,
|  | const char * | rhs
| ) |  |

friend

Definition at line 265 of file Field.h.

{ return lhs.getValue() > rhs; }

## operator> [2/4]

bool operator> | ( | const char * | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 267 of file Field.h.

{ return lhs > rhs.getValue(); }

## operator> [3/4]

bool operator> | ( | const StringField & | lhs,
|  | const std::string & | rhs
| ) |  |

friend

Definition at line 290 of file Field.h.

{ return lhs.getValue() > rhs; }

## operator> [4/4]

bool operator> | ( | const std::string & | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 292 of file Field.h.

{ return lhs > rhs.getValue(); }

## operator>= [1/4]

bool operator>= | ( | const StringField & | lhs,
|  | const char * | rhs
| ) |  |

friend

Definition at line 281 of file Field.h.

{ return lhs.getValue() >= rhs; }

## operator>= [2/4]

bool operator>= | ( | const char * | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 283 of file Field.h.

{ return lhs >= rhs.getValue(); }

## operator>= [3/4]

bool operator>= | ( | const StringField & | lhs,
|  | const std::string & | rhs
| ) |  |

friend

Definition at line 306 of file Field.h.

{ return lhs.getValue() >= rhs; }

## operator>= [4/4]

bool operator>= | ( | const std::string & | lhs,
|  | const StringField & | rhs
| ) |  |

friend

Definition at line 308 of file Field.h.

{ return lhs >= rhs.getValue(); }

The documentation for this class was generated from the following file:

- Field.h